WordPress.org

Ready to get started?Download WordPress

Forums

Bol.com Partner Program Plugin
[resolved] Fatal error on activation (13 posts)

  1. vismaterialen
    Member
    Posted 2 years ago #

    After installation I get:
    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_STRING in /home/p20467/domains/vismaterialen.nl/public_html/blog/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 39

    So not working with 3.4 here...
    Unfortunately already deleted the old version, which was also not working properly and killed the upload of media in 3.4.

    http://wordpress.org/extend/plugins/bolcom-partnerprogramma-wordpress-plugin/

  2. edwinkort
    Member
    Posted 2 years ago #

    Same here.

  3. Wouter Tinbergen
    Member
    Posted 2 years ago #

    Issue for me seems to be ( cause i run 3.3.2, which should work):

    You should run php 5.3.0 or newer, to install this one, cause it uses : 'namespace' in the code.

    src: http://www.php.net/manual/en/language.namespaces.rationale.php

    This is probably why it's not working with me :(
    @vismaterialen: did it work with you on 3.3.2?

  4. vismaterialen
    Member
    Posted 2 years ago #

    @wouter didn't check it with 3.3.2 since I upgraded first to 3.4 and then found the old plugin would make my upload page broken

    My PHP version is indeed <5.3, I'll check with my host how to have that upgraded.

    Bedankt/Thanks! ;-)

  5. Theo3112
    Member
    Posted 2 years ago #

    Same issue here:
    WP version 3.3.2
    PHP Version 5.3.13
    So the problem isn't all about PHP?

  6. edwinkort
    Member
    Posted 2 years ago #

    Still having the problem

  7. Rijn
    Member
    Posted 2 years ago #

    My version is also above 5.3.0 But still get the activation error. I would love to sell books via bol on my website vrolijkweerzien.nl.

    Is there anyone who can tell me how, or do I really have to make a flat html page with all redirections to it from out of wordpress...please don't tell me that.
    My wp version is already 3.4.1. so i hope an update is coming from the bol.com plugin.

  8. Made07
    Member
    Posted 1 year ago #

    My WP is 3.4.1. en also PHP > 5.3

    During installation a fatal error and during activation.

  9. Nikki@365Gaming
    Member
    Posted 1 year ago #

    This is a not resolved issue I should say...after it was „resolved” other reported the same issue. Can you please re-open this?

    I have the same issue, PHP 5.3 and even 5.4 here and still I get the fatal error. Please inform how to fix, thx.

  10. mrmacgillavry
    Member
    Posted 1 year ago #

    Bij activatie van de bol.com wordpress login krijg ik steeds
    onderstaande FATAL ERROR:

    Parse error: syntax error, unexpected T_FUNCTION in

    /home/melvin/public_html/wp-content/plugins/bolcom-partnerprogramma-wo
    rdpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php
    on line 14

    Weten jullie hoe dit opgelost kan worden? Ik gebruik wordpress 3.5

    Vriendelijke groet,

    Melvin

  11. Basvanderveen
    Member
    Posted 1 year ago #

    Same problem here.. On line 14.

  12. Netvlies
    Member
    Plugin Author

    Posted 1 year ago #

    Hi,

    I see that many people have the same issue regarding the widget.
    The error occurs when using the widget in an environment with PHP < 5.3. The code uses a PHP 5.3+ feature called 'namespaces'.
    For people claiming that they use PHP 5.3+ please check your version using phpinfo().

  13. Donorbrain
    Member
    Posted 1 year ago #

    Hey There! I'm also using the Bol.com partner plugin and it doesn't seem to work. It works in a sense that it appears in my sidebar as a widget but i can't select anything from the Category feed (Selecteer categorie) while trying to change the settings for this widget. I'm not sure if this problem is PHP related but it's really annoying. I checked if my domain is running the required version of PHP to run this plugin. It seems to be ok:
    PHP Version 5.3.20
    XML Namespace Support active

    Can someone please help me with this problem?

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic